<?php
/**
 * Admin.php
 *
 * This is the Admin Center page. Only administrators
 * are allowed to view this page. This page displays the
 * database table of users and banned users. Admins can
 * choose to delete specific users, delete inactive users,
 * ban users, update user levels, etc.
 *
 */
include("incs/session.php");

include 'incs/paginationAdmin.php';

$pagename = "Administrative Centre";

/**
 * displayUsers - Displays the users database table in
 * a nicely formatted html table.
 */
function displayUsers(){
   global $database;
   $page = (int)(!isset($_GET["page"]) ? 1 : $_GET["page"]);
   if ($page <= 0) $page = 1;
		$per_page = 10; // Set how many records do you want to display per page.
		$startpoint = ($page * $per_page) - $per_page;
		$statement = "`users` ORDER BY `username` ASC"; // Change `records` according to your table name.

   $q = "SELECT username,userlevel,email,timestamp "
       ."FROM ".TBL_USERS." ORDER BY userlevel DESC,username LIMIT {$startpoint} , {$per_page}";
   $result = $database->query($q);
   /* Error occurred, return given name by default */
   $num_rows = mysql_numrows($result);
   if(!$result || ($num_rows < 0)){
      echo "Error displaying info";
      return;
   }
   if($num_rows == 0){
      echo "Database table empty";
      return;
   }
   /* Display table contents */
   echo "<table class='table table-hover'>\n";
   echo "<tbody>\n";
   echo "<tr><th>Username</th><th>Level</th><th>Email</th><th>Last Active</th><th>View</th></tr>\n";
   for($i=0; $i<$num_rows; $i++){
      $uname  = mysql_result($result,$i,"username");
      $ulevel = mysql_result($result,$i,"userlevel");
      $email  = mysql_result($result,$i,"email");
      $time   = mysql_result($result,$i,"timestamp");
	  $time	  = date('Y/m/d', $time);

      echo "<tr><td>$uname</td><td>$ulevel</td><td>$email</td><td>$time</td><td><a href='search.php?query=".$uname."' target='_blank'><i class='fa fa-eye fa-fw' style='color: green'></i></a></td></tr>\n";
   }
   echo "</tbody>\n";
   echo "</table><br>\n";
   echo pagination($statement,$per_page,$page,$url='?');
}

/**
 * displayBannedUsers - Displays the banned users
 * database table in a nicely formatted html table.
 */
function displayBannedUsers(){
   global $database;
   $q = "SELECT username,timestamp "
       ."FROM ".TBL_BANNED_USERS." ORDER BY username";
   $result = $database->query($q);
   /* Error occurred, return given name by default */
   $num_rows = mysql_numrows($result);
   if(!$result || ($num_rows < 0)){
      echo "Error displaying info";
      return;
   }
   if($num_rows == 0){
      echo "This list is empty at the moment";
      return;
   }
   /* Display table contents */
   echo "<table class='table table-hover'>\n";
   echo "<tbody>\n";
   echo "<tr><th>Username</th><th>Time Banned</th></tr>\n";
   for($i=0; $i<$num_rows; $i++){
      $uname = mysql_result($result,$i,"username");
      $time  = mysql_result($result,$i,"timestamp");

      echo "<tr><td>$uname</td><td>$time</td></tr>\n";
   }
   echo "</tbody>\n";
   echo "</table><br>\n";
}
   
/**
 * User not an administrator, redirect to main page
 * automatically.
 */
if(!$session->isAdmin()){
	//echo "<h3><font color='red'><i class='fa fa-flag fa' style='color: red;'></i> Access Denied</font></h3>";
   header("Location: index.php");
}
else{
/**
 * Administrator is viewing page, so display all
 * forms.
 */


require_once 'header.php';
?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><?php echo $pagename; ?> </h1>
                    </div>
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            <?php
							if($form->num_errors > 0){
							   echo "<font size=\"4\" color=\"#ff0000\">"
								   ."!*** Error with request, please fix</font><br><br>";
							}
							?>
                            <div class="col-md-6">
                       			<div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"><i class="fa fa-users fa-fw" style="color: #af0000"></i> Users Table Contents </h3>
                                    </div>
                                    <div class="panel-body">
                                    	<?php
                                        /**
                                         * Display Users Table
                                         */
                                        displayUsers();
                                        ?> 
                                        
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                       			<div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"><i class="fa fa-ban fa-fw" style="color: #af0000"></i> Banned Users Table Contents </h3>
                                    </div>
                                    <div class="panel-body">
                                    	<?php
                                        /**
                                         * Display Banned Users Table
                                         */
                                        displayBannedUsers();
										?>                                 
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                       			<div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> <i class="fa fa-sort-numeric-asc fa-fw" style="color: #af0000"></i> Update User Level </h3>
                                    </div>
                                    <div class="panel-body">
                                    	
									<?php
                                    /**
                                     * Update User Level
                                     */
                                    ?>
                                    
                                    <?php echo $form->error("upduser"); ?>
                                    
                                    <form action="adminprocess.php" method="POST">
                                    <div class="form-group input-group">
                                	<span class="input-group-addon">Username <i class='fa fa-user fa' style='color: red;'></i> </span>
                                    	<input class="form-control" placeholder="Enter Username" type="text" name="upduser" maxlength="30" value="<?php echo $form->value("upduser"); ?>">
                                    </div>
                                    <div class="form-group input-group">
                                	<span class="input-group-addon">User Level <i class='fa fa-key fa' style='color: red;'></i> </span>
                                        <select class="form-control" name="updlevel">
                                            <option value="1">Dispatch Rider</option>
                                            <option value="4">Monitoring &amp; Tracking</option>
                                            <option value="5">Performance</option>
                                            <option value="6">Accountant</option>
                                            <option value="7">Senior Officer</option>
                                            <option value="8">Managind Dirrector</option>
                                            <option value="9">Administrator</option>
                                        </select>
                                    </div>
                                    <input type="hidden" name="subupdlevel" value="1">
                                    <input type="submit" value="Update Level" class="btn btn-lg btn-success btn-block">
                                    
                                    </form>                               
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                       			<div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> <i class="fa fa-trash-o fa-fw" style="color: #af0000"></i> Delete Active User </h3>
                                    </div>
                                    <div class="panel-body">
                                    	<?php
										/**
										 * Delete User
										 */
										
										echo $form->error("deluser"); ?>
										<form action="adminprocess.php" method="POST">
                                            <div class="form-group input-group">
                                            <span class="input-group-addon">Username <i class='fa fa-user fa' style='color: red;'></i> </span>
                                                <input class="form-control" placeholder="Enter Username" type="text" name="deluser" maxlength="30" value="<?php echo $form->value("deluser"); ?>">
                                        </div>
										<input type="hidden" name="subdeluser" value="1">
										<input type="submit" value="Delete User" class="btn btn-lg btn-danger btn-block">
										</form>            
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                       			<div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> <i class="fa fa-trash-o fa-fw" style="color: #af0000"></i> Delete Inactive User </h3>
                                    </div>
                                    <div class="panel-body">
                                    	<?php
										/**
										 * Delete Inactive Users
										 */
										?>
                                        
										This will delete all users (not administrators), who have not logged in to the site<br>
										within a certain time period. You specify the days spent inactive.<br><br>
										
										<form action="adminprocess.php" method="POST">
										<div class="form-group input-group">
                                		<span class="input-group-addon">Number of Days <i class='fa fa-calender fa' style='color: red;'></i> </span>
                                        <select class="form-control"  name="inactdays">
										<option value="3">3</option>
										<option value="7">7</option>
										<option value="14">14</option>
										<option value="30">30</option>
										<option value="100">100</option>
										<option value="365">365</option>
										</select>
										</div>
										<input type="hidden" name="subdelinact" value="1">
										<input type="submit" value="Delete All Inactive" class="btn btn-lg btn-warning btn-block">
										</form>          
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                       			<div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"><i class="fa fa-ban fa-fw" style="color: #af0000"></i>  Ban User </h3>
                                    </div>
                                    <div class="panel-body">
                                    	<?php
										/**
										 * Ban User
										 */
										?>
										
										<?php echo $form->error("banuser"); ?>
										<form action="adminprocess.php" method="POST">
										<div class="form-group input-group">
                                            <span class="input-group-addon">Username <i class='fa fa-user fa' style='color: red;'></i> </span>
                                                <input class="form-control" placeholder="Enter Username"  type="text" name="banuser" maxlength="30" value="<?php echo $form->value("banuser"); ?>">
                                        </div>
										<input type="hidden" name="subbanuser" value="1">
										<input type="submit" value="Ban User" class="btn btn-lg btn-warning btn-block">
										</form>
   
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
            	
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"><i class="fa fa-trash-o fa-fw" style="color: #af0000"></i> Delete Banned User</h3>
                                    </div>
                                    <div class="panel-body">
									<?php
                                    /**
                                     * Delete Banned User
                                     */
                                    ?>
                                    
                                    <?php echo $form->error("delbanuser"); ?>
                                    <form action="adminprocess.php" method="POST">
                                    <div class="form-group input-group">
                                            <span class="input-group-addon">Username <i class='fa fa-user fa' style='color: red;'></i> </span>
                                                <input class="form-control" placeholder="Enter Username" type="text" name="delbanuser" maxlength="30" value="<?php echo $form->value("delbanuser"); ?>">
                                    </div>
                                    <input type="hidden" name="subdelbanned" value="1">
                                    <input type="submit" value="Delete Banned User" class="btn btn-lg btn-danger btn-block">
                                    </form>

								</div>
							</div>
						</div>
					</div>
                 </div>
              </div>
           </div>
                
                    
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

	require_once 'footer.php';

}
?>

