<?php
/**
 * editProfile.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("incs/session.php");
require 'incs/functions.php';

$pagename = "Profile Editor" ;

require_once 'header.php';

?>
<!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header"><i class='fa fa-edit fa'></i> <?php echo $pagename; ?> </h1>
                        <p><a href="dashboard.php">Home</a> &rarr; <a href="userinfo.php?user=<?php echo $username; ?>">Staff e-Appraisal Profile </a> &rarr; <?php echo $pagename; ?></p>
                        <hr />
                    </div>
                    
                    <?php
								/* Requested Username error checking */
								$req_user = $session->username;
								/* Display requested user information */
								$req_user_employment = $database->getUserEData($req_user);
								$req_user_info = $database->getUserInfo($req_user);
								
								if($session->logged_in){
                                   
                                   if($session->isAdmin() || $session->isEc() || $session->isHod() || $session->isStaff()){
								
					?>			
                    
                <div class="col-lg-12">
                    <div class="panel">
                        <div class="panel-heading">
                            <div class="row">
                            
                            <div class="col-md-9">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <h3 class="panel-title"> Please Fill With Accurate Data </h3>
                                    </div>
                                    <div class="panel-body">
                               <?php                                
                                    if( $_POST )
									{
										// Clean up data then Assign the input values to variables for easy reference
										$username			 = filter_var($_POST['username'], FILTER_SANITIZE_STRING);
										$staff_id			 = filter_var($_POST['staff_id'], FILTER_SANITIZE_STRING);
										$grade				 = filter_var($_POST['grade'], FILTER_SANITIZE_STRING);
										$job_title			 = filter_var($_POST['job_title'], FILTER_SANITIZE_STRING);
										$unit				 = filter_var($_POST['unit'], FILTER_SANITIZE_STRING);
										$unit_head			 = filter_var($_POST['unit_head'], FILTER_SANITIZE_STRING);
										$doe				 = filter_var($_POST['doe'], FILTER_SANITIZE_STRING);
										$dolp				 = filter_var($_POST['dolp'], FILTER_SANITIZE_STRING);
										$qoa				 = filter_var($_POST['qoa'], FILTER_SANITIZE_STRING);
										$current_location	 = filter_var($_POST['current_location'], FILTER_SANITIZE_STRING);
										$last_updated	 = date('Y-m-d H:i:s');
										
										//staff_id 	grade 	job_title 	unit 	unit_head 	doe 	dolp 	qoa 	current_location 	last_updated 		
										$sql = "UPDATE ".TBL_EMPLOYMENT." 
											SET staff_id='$staff_id',
											grade='$grade',
											job_title='$job_title',
											unit='$unit',
											unit_head='$unit_head',
											doe='$doe',
											dolp='$dolp',
											qoa='$qoa',
											current_location='$current_location',
											last_updated='$last_updated'
											WHERE username='".$username."'";
												
										if (mysql_query($sql, $conn)) {
											echo "<h4><font color='green'>Dear (<b>$username</b>) your employment profile has been updated successfully</font><h4>";
										} else {
											echo "Error: " . $sql . "<br>" . mysql_error($conn);
										}
										
										mysql_close($conn);
											
										}
										
										$grade				= $req_user_employment['grade'];
										$job_title			= $req_user_employment['job_title'];
										$unit				= $req_user_employment['unit'];
										$unit_head			= $req_user_employment['unit_head'];
										$current_location	= $req_user_employment['current_location'];
									?> 
								<form action="editEmployment.php" method="POST">
									<fieldset>
									<div class="form-group input-group">
									<span class="input-group-addon"> Staff Identification Number <i class='fa fa-tags fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter Your Staff ID Number"  name="staff_id" type="text" maxlength="30" value="<?php echo $req_user_employment['staff_id']; ?>">
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon"> Current Grade <i class='fa fa-sort-amount-desc fa' style='color: red;'></i> </span>
                                    	<select class="form-control" name="grade" id="grade">
                  							<option value="<?php if (!empty($grade)) echo $grade; ?>"><?php if (!empty($grade)) { echo $grade; } else { echo "Choose Your Current Grade &amp; Step"; } ?></option>
											<?php include('incs/currentGrade.php'); ?>
                                        </select>    
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon"> Job Title <i class='fa fa-suitcase fa' style='color: red;'></i> </span>
                                    	<select class="form-control" name="job_title" id="job_title">
                  							<option value="<?php if (!empty($job_title)) echo $job_title; ?>"><?php if (!empty($job_title)) { echo $job_title; } else { echo "Choose Your Job Title"; } ?></option>
											<?php include('incs/jobTitle.php'); ?>
                                        </select>    
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon"> Unit/Sunsidiary <i class='fa fa-university fa' style='color: red;'></i> </span>
                                    	<select class="form-control" name="unit" id="unit">
                  							<option value="<?php if (!empty($unit)) echo $unit; ?>"><?php if (!empty($unit)) { echo $unit; } else { echo "Choose Your Unit/Sunsidiary "; } ?></option>
											<?php include('incs/unit.php'); ?>
                                        </select>    
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon"> Unit Head <i class='fa fa-user fa' style='color: red;'></i> </span>
                                    	<select class="form-control" name="unit_head" id="unit_head">
                  							<option value="<?php if (!empty($unit_head)) echo $unit_head; ?>"><?php if (!empty($unit_head)) { echo $unit_head; } else { echo "Choose Your Unit Head "; } ?></option>
											<?php include('incs/unitHead.php'); ?>
                                        </select>    
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Date of Employment (YYYY-MM-DD) <i class='fa fa-calendar fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter The Date You Us (e.g: 2001-01-01)" type="text" name="doe" maxlength="60" value="<?php echo $req_user_employment['doe']; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon">Date of Last Promotion (YYYY-MM-DD) <i class='fa fa-calendar fa' style='color: red;'></i> </span>
										<input class="form-control" placeholder="Enter The Date You Were Last Promoted (e.g: 2001-01-01)" type="text" name="dolp" maxlength="60" value="<?php echo $req_user_employment['dolp']; ?>">
									</div>
                                    <div class="form-group input-group">
									<span class="input-group-addon"> Qualification on Appointment <i class='fa fa-folder-open fa' style='color: red;'></i> </span>
                                    	<input class="form-control" placeholder="Enter Your Qualification on Appointment" type="text" name="qoa" maxlength="60" value="<?php echo $req_user_employment['qoa']; ?>">
									</div>
									<div class="form-group input-group">
									<span class="input-group-addon"> Current Location <i class='fa fa-map-marker fa' style='color: red;'></i></span>
                                        <select class="form-control" name="current_location" id="current_location">
                                        	<option value="<?php if (!empty($current_location)) echo $current_location; ?>"><?php if (!empty($current_location)) { echo $current_location; } else { echo "Choose Your Current Office Location"; } ?></option>
                                            <?php include 'incs/statelist.php'; ?>
                                        </select>
									</div>
										
                                        <input type="hidden" name="username" id="username" value="<?php echo $username; ?>" />
                                        <input type="submit" value=" Save/Update My Employment Record " class="btn btn-lg btn-success btn-block">
								</fieldset>
							</form>
								</div>
							</div>
						</div>
                        
                        <!--- ===================================== seperate ========================================= -->
                        <div class="col-lg-3 col-md-3">
                            <div class="panel panel-red">
                                <div class="panel-heading">
                                    Important !!!
                                </div>
                                <div class="panel-body">
                                	<p>Changes made can not be reverted, except you can recall the old data and re-fill the form with that data.</p>
                                    <p>Kindly seek help from a more experienced colleague if you are not very conversant with the use of computer/web application.</p>
                                    <p>Obtain your <b><i>STAFF ID</i></b> from HR&amp;TM.</p>
                                    <p>We love feedback as they help us improve on our user experience. Kindly use the <b><i>Report Error Button</i></b> located at your dashboard and side menu bar to send us your feedback/complains or call: <b><i>(+234) 815-061-9565</i></b></p>
                                    <p>For official/management issues, contact <b><i>Human Resources &amp; Talent Management</i></b>.</p>
                                 </div>
                             </div>
                        </div>
                    <!-- /.row -->
            
					</div>
                 </div>
              </div>
           </div>
                
                 <?php
                  }
              }
              else{
                 echo "<h3><i class='fa fa-flag fa-lg' style='color:#F00'></i> <font color='#af0000'> Restricted Zone, </font><a href='index.php'>Please Return Home</a></h3>";
								   
            } 
			?>   
                                
            </div>
            <!-- /.row -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

<?php

require_once 'footer.php';

?>
